config/routes.rb
Everest::Application.routes.draw do
  resources :achievements

  resources :towers
  resources :sessions
  resources :users
  resources :climbs

  get "pages/index"

  get "register" => "users#new", :as => "register"
  get "login" => "users#login", :as => "login"
  get "logout" => "sessions#destroy"
  get "profile" => "users#profile"
  get "about" => "pages#about"

  match 'auth/:provider/callback', to: 'sessions#create_omniauth'
  match 'auth/failure', to: redirect('/')

  root :to => 'pages#index'

end

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
<head>
  <title>Everest</title>
  <%= stylesheet_link_tag    "application", :media => "all" %>
  <%= stylesheet_link_tag "bootstrap", :media => "all" %>
  <%= javascript_include_tag "application" %>
  <%= javascript_include_tag "bootstrap" %>
  <%= csrf_meta_tags %>
</head>
<body>
  <div class="navbar navbar-inverse navbar-fixed-top">
    <div class="navbar-inner">
      <div class="container">
        <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </a>
        <%= link_to image_tag('/assets/logo.png', :class => "logo"), root_url, :class => "brand" %>
        <div class="nav-collapse collapse">
          <%= form_tag sessions_path, :id => "nav-login" do %>
          <ul class="nav">
            <li><%= link_to "Home", root_url %></li>
            <li><%= link_to "About", about_url %></li>
            <li><a href="mailto:yusuke@yusuketsutsumi.com">Contact</a></li>
            <% if current_user %>
            <li><%= link_to current_user.name, current_user %></li>
            <li><%= link_to "log out", logout_url %></li>
            <% else %>
            <!--<li class="field">
              Email: <%= text_field_tag :email, params[:email] %>
            </li>
            <li class="field">
              Password: <%= password_field_tag :password %>
            </li>
            <li class="field"><%= button_tag "Sign Up" %></li>-->
            <li><%= link_to "Log in via Facebook", signin_path("facebook"), id: "signin" %></li>
            <li><%= link_to "Log in with email", login_url, id: "register" %></li>
            <li><%= link_to "Register", register_url, id: "register" %></li>
            <% end %>
           </ul>
        <% end %>
        </div><!--/.nav-collapse -->
      </div>
    </div>
  </div>
  <div class="container">
    <%= yield %>
  </div>
  <div class="padding">
  </div>
</body>
</html>